
Figure - Bug #118482
【IOVDEV-32478】【内部】【VC1】【0106】【台架】【EE环境】【副屏】企业微信视频通话结束后，中控
与副屏不能播放音乐
2023-06-03 11:28 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-03

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0106.c104 ，中控：03.02.0086.C101

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 在onUpdateAudioMode中增加释放焦点的调用

Description

【环境信息】EE环境

【问题出现时间】：20230603  11：01

【前提条件】：车机上电,副屏安装并登录企业微信

【操作步骤】

1. 副屏端企业微信进行视频通话

2.中控端播放音乐或视频

3.副屏挂断视频通话

4.中控端播放音乐

【实际结果】

副屏挂断企业微信的视频通话后，中控音乐或视频声音不能播放。（副屏音乐和视频也不能播放）

【期望结果】

副企业微信的视频通话结束后，副屏与中控的音乐或视频能够正常播放

【车架号】：

【备注】：

VIN：HRYTTESTVINMGM401，中控log可从云端获取

视频地址：https://ofs.human-horizons.com/#/download/index/%2B6713vh6jxw%3D

【影响版本】：副屏：01.00.0106.c104 ，中控：03.02.0086.C101

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-03 11:57 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED
https://ofs.human-horizons.com/#/download/index/%2B6713vh6jxw%3D


HI ALL

根据日志分析：

在挂断企业微信电话时，焦点已经释放给中控了，该问题和中控有关。

19276:06-03 11:01:52.113  2125 11105 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1685761312107090703',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1685761312107090703,"methodName":"aband

onAudioFocus","parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}}}

19347:06-03 11:01:52.155  2125 11112 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='1685761312107090703',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"abandonAudioFocus","messageType":1,"uuid":16857

61312107090703,"parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GR

ANTED"}}}}

19348:06-03 11:01:52.155  2125 11112 I MicroService: onResponse(abandonAudioFocus):

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}}

19349:06-03 11:01:52.156  1541  7738 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = abandonAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}}

#2 - 2023-06-05 09:49 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨

HI ALL

该问题和中控相关，已经联系中控，请回复jira！

#3 - 2023-06-05 16:12 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to Multimedia组-RD3_TSCD 梁卿山

HI ALL

本地复现到该问题，副屏继续分析

#4 - 2023-06-05 16:18 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

根据日志分析，

在企业微信挂断电话时，没有主动调用setmode,导致了abandon没有调用，也就出现了焦点没释放的情况。

修复方案

在onUpdateAudioMode中增加释放焦点的调用，可以修复该问题。
#5 - 2023-06-05 22:00 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

204737 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Fix abandon focus after VOIPFix abandon focus after VOIPTC-RID: 0301-0900116IssueID: TS-R-DF-118482Change-Id:

Ibcee9299b23338b6c94a1098adf79f444577c64c

#6 - 2023-06-06 10:26 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 在onUpdateAudioMode中增加释放焦点的调用

HI 永红

该问题已经修复，请使用6月6日版本进行验证，谢谢！

#7 - 2023-06-25 14:35 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#8 - 2023-06-25 14:35 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

11点01分挂断视频通话后，不能播放音乐或视频.mp4 12.9 MB 2023-06-03 CDTS_Test 吴诗雨

IOVDEV-32478.zip 226 KB 2023-06-03 CDTS_Test 吴诗雨
